Network-specific API
Operations that exist on one network only: playlists, boards, flairs, music libraries, Business Profile location data, reviews and more.
| Operation | Method and path |
|---|---|
| Set or change thumbnail for a YouTube video | POST /api/v1/misc/youtube/thumbnail |
| Get channel playlists | GET /api/v1/misc/youtube/playlist |
| Create a new playlist | POST /api/v1/misc/youtube/playlist |
| Update an existing playlist | PUT /api/v1/misc/youtube/playlist |
| Delete a channel playlist | DELETE /api/v1/misc/youtube/playlist/{playlistId} |
| Add a video to a playlist | POST /api/v1/misc/youtube/playlist-items |
| Get videos from a playlist | GET /api/v1/misc/youtube/playlist-items |
| Remove a video from a playlist | DELETE /api/v1/misc/youtube/playlist-items/{playlistItemId} |
| Edit YouTube video metadata | PATCH /api/v1/misc/youtube/video |
| Delete a YouTube video | DELETE /api/v1/misc/youtube/video |
| Edit YouTube comment | PATCH /api/v1/misc/youtube/comment |
| Delete a YouTube comment | DELETE /api/v1/misc/youtube/comment |
| Get YouTube video categories | GET /api/v1/misc/youtube/video-categories |
| Get YouTube regions | GET /api/v1/misc/youtube/regions |
| Get Linkedin mentionable tags (people & organizations) | GET /api/v1/misc/linkedin/mentions/tags |
| Build Linkedin text, insert mentions at tag placeholders. | POST /api/v1/misc/linkedin/mentions/builder |
| Reshare an existing LinkedIn post | POST /api/v1/misc/linkedin/post/reshare |
| Edit an existing LinkedIn post | PATCH /api/v1/misc/linkedin/post |
| Delete a LinkedIn post | DELETE /api/v1/misc/linkedin/post |
| Edit an existing LinkedIn comment | PATCH /api/v1/misc/linkedin/comment |
| Delete a LinkedIn comment | DELETE /api/v1/misc/linkedin/comment |
| Add a media item (photo/video) using uploadId and category | POST /api/v1/misc/google-business/media |
| List Google Business media items | GET /api/v1/misc/google-business/media |
| Delete Google Business media item | DELETE /api/v1/misc/google-business/media |
| Delete a Google Business post | DELETE /api/v1/misc/google-business/post |
| Get Google Business location profile | GET /api/v1/misc/google-business/location |
| Update Google Business location profile fields | PATCH /api/v1/misc/google-business/location |
| Update Google Business regular/special/more hours | PATCH /api/v1/misc/google-business/location/hours |
| Get Google Business location attributes | GET /api/v1/misc/google-business/location/attributes |
| Update Google Business location attributes | PATCH /api/v1/misc/google-business/location/attributes |
| List available Google Business attributes | GET /api/v1/misc/google-business/location/attributes/available |
| List the search terms customers used to find the location | GET /api/v1/misc/google-business/location/search-keywords |
| List available Google Business categories | GET /api/v1/misc/google-business/location/categories/available |
| Get Google Business service list | GET /api/v1/misc/google-business/location/service-list |
| Update Google Business service list | PATCH /api/v1/misc/google-business/location/service-list |
| Get Google Business food menus | GET /api/v1/misc/google-business/location/food-menus |
| Update Google Business food menus | PATCH /api/v1/misc/google-business/location/food-menus |
| List Google Business place action links | GET /api/v1/misc/google-business/location/place-action-links |
| Create Google Business place action link | POST /api/v1/misc/google-business/location/place-action-links |
| Update Google Business place action link | PATCH /api/v1/misc/google-business/location/place-action-links |
| Delete Google Business place action link | DELETE /api/v1/misc/google-business/location/place-action-links |
| Start a new Google Reviews import | POST /api/v1/misc/google-business/reviews/import |
| Get review import status list | GET /api/v1/misc/google-business/reviews/import |
| Get review import by ID | GET /api/v1/misc/google-business/reviews/import/{importId} |
| List imported Google Reviews | GET /api/v1/misc/google-business/reviews |
| Get a single imported Google Review | GET /api/v1/misc/google-business/reviews/{reviewId} |
| Reply to a Google Review (creates or updates the owner reply) | PUT /api/v1/misc/google-business/reviews/{reviewId}/reply |
| Delete the owner reply from a Google Review | DELETE /api/v1/misc/google-business/reviews/{reviewId}/reply |
| Get subreddit post requirements (flair required/enabled) | GET /api/v1/misc/reddit/post-requirements |
| Get subreddit flairs list | GET /api/v1/misc/reddit/subreddit-flairs |
| Edit an existing Reddit post | PATCH /api/v1/misc/reddit/post |
| Delete a Reddit post | DELETE /api/v1/misc/reddit/post |
| Edit an existing Reddit comment | PATCH /api/v1/misc/reddit/comment |
| Delete a Reddit comment | DELETE /api/v1/misc/reddit/comment |
| Search for Instagram Business/Creator user by username | GET /api/v1/misc/instagram/tags |
| Search Instagram location IDs | GET /api/v1/misc/instagram/locations |
| Search Instagram audio assets | GET /api/v1/misc/instagram/audio |
| Delete an Instagram comment | DELETE /api/v1/misc/instagram/comment |
| Search Facebook Pages | GET /api/v1/misc/facebook/pages |
| List Facebook text background presets | GET /api/v1/misc/facebook/text-format-presets |
| Get Facebook token debug details | GET /api/v1/misc/facebook/token-debug |
| Start a new Facebook recommendations import | POST /api/v1/misc/facebook/recommendations/import |
| Get Facebook recommendations import status list | GET /api/v1/misc/facebook/recommendations/import |
| Get Facebook recommendations import by ID | GET /api/v1/misc/facebook/recommendations/import/{importId} |
| List imported Facebook recommendations | GET /api/v1/misc/facebook/recommendations |
| Get a single imported Facebook recommendation | GET /api/v1/misc/facebook/recommendations/{recommendationId} |
| Get recommendation thread comments | GET /api/v1/misc/facebook/recommendations/{recommendationId}/comments |
| Reply to a Facebook recommendation | PUT /api/v1/misc/facebook/recommendations/{recommendationId}/reply |
| Reply to a Facebook recommendation thread comment | PUT /api/v1/misc/facebook/recommendations/{recommendationId}/comments/{commentId}/reply |
| Edit an existing Facebook post | PATCH /api/v1/misc/facebook/post |
| Delete a Facebook post | DELETE /api/v1/misc/facebook/post |
| Edit a Facebook comment | PATCH /api/v1/misc/facebook/comment |
| Delete a Facebook comment | DELETE /api/v1/misc/facebook/comment |
| [DISABLED] Edit an existing Pinterest pin | PATCH /api/v1/misc/pinterest/pin |
| Delete a Pinterest pin | DELETE /api/v1/misc/pinterest/pin |
| Edit an existing Mastodon status | PATCH /api/v1/misc/mastodon/status |
| Delete a Mastodon status | DELETE /api/v1/misc/mastodon/status |
| Edit a Mastodon comment | PATCH /api/v1/misc/mastodon/comment |
| Delete a Mastodon comment | DELETE /api/v1/misc/mastodon/comment |
| Edit an existing Slack message | PATCH /api/v1/misc/slack/message |
| Delete a Slack message | DELETE /api/v1/misc/slack/message |
| Delete a Bluesky post | DELETE /api/v1/misc/bluesky/post |
| Delete a Bluesky comment | DELETE /api/v1/misc/bluesky/comment |
| Delete a Twitter/X tweet | DELETE /api/v1/misc/twitter/tweet |
| Delete a Twitter/X comment | DELETE /api/v1/misc/twitter/comment |
| Repost a Twitter/X post | POST /api/v1/misc/twitter/retweet |
| Undo a Twitter/X repost | DELETE /api/v1/misc/twitter/retweet |
| Delete a Discord message | DELETE /api/v1/misc/discord/message |
| Get popular tracks from TikTok Commercial Music Library | GET /api/v1/misc/tiktok/cml/trending-list |
| Delete a TikTok comment | DELETE /api/v1/misc/tiktok/comment |
/api/v1/misc/youtube/thumbnail Set or change thumbnail for a YouTube video
misc.youtube.setThumbnail · requires x-api-key
Request body application/json
-
teamIdstring required -
urlstring required -
postIdstring required
Example
curl -X POST "https://api.siaran.my/api/v1/misc/youtube/thumbnail" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"url": "https://example.com/file.jpg",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
itemsobject[] default []5 fields
-
defaultobject3 fields
-
urlstring required uri -
widthinteger -
heightinteger
-
-
mediumobject3 fields
-
urlstring required uri -
widthinteger -
heightinteger
-
-
highobject3 fields
-
urlstring required uri -
widthinteger -
heightinteger
-
-
standardobject3 fields
-
urlstring required uri -
widthinteger -
heightinteger
-
-
maxresobject3 fields
-
urlstring required uri -
widthinteger -
heightinteger
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist Get channel playlists
misc.youtube.getChannelPlaylist · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
maxResults | query | integer | default 10 |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/youtube/playlist?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
6 top-level fields
-
kindstring -
etagstring -
nextPageTokenstring -
prevPageTokenstring -
pageInfoobject2 fields
-
totalResultsinteger -
resultsPerPageinteger
-
-
itemsobject[] default []6 fields
-
kindstring -
etagstring -
idstring -
snippetobject7 fields
-
publishedAtstring -
channelIdstring -
titlestring -
descriptionstring -
channelTitlestring -
thumbnailsobject5 fields
-
defaultobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
mediumobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
highobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
standardobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
maxresobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
-
localizedobject2 fields
-
titlestring -
descriptionstring
-
-
-
statusobject1 field
-
privacyStatusstring
-
-
contentDetailsobject1 field
-
itemCountinteger
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist Create a new playlist
misc.youtube.createNewChannelPlaylist · requires x-api-key
Request body application/json
-
teamIdstring required -
titlestring required -
descriptionstring required -
privacyStatusstringOne of:publicunlistedprivate
Example
curl -X POST "https://api.siaran.my/api/v1/misc/youtube/playlist" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"title": "Hello from Siar",
"description": "Hello from Siar"
}' Response 200
6 top-level fields
-
kindstring -
etagstring -
idstring -
snippetobject7 fields
-
publishedAtstring -
channelIdstring -
titlestring -
descriptionstring -
channelTitlestring -
thumbnailsobject5 fields
-
defaultobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
mediumobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
highobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
standardobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
maxresobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
-
localizedobject2 fields
-
titlestring -
descriptionstring
-
-
-
statusobject1 field
-
privacyStatusstring
-
-
contentDetailsobject1 field
-
itemCountinteger
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist Update an existing playlist
misc.youtube.updateChannelPlaylist · requires x-api-key
Request body application/json
-
teamIdstring required -
titlestring required -
descriptionstring required -
privacyStatusstringOne of:publicunlistedprivate -
playlistIdstring required
Example
curl -X PUT "https://api.siaran.my/api/v1/misc/youtube/playlist" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"title": "Hello from Siar",
"description": "Hello from Siar",
"playlistId": "PLAYLIST_ID"
}' Response 200
6 top-level fields
-
kindstring -
etagstring -
idstring -
snippetobject7 fields
-
publishedAtstring -
channelIdstring -
titlestring -
descriptionstring -
channelTitlestring -
thumbnailsobject5 fields
-
defaultobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
mediumobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
highobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
standardobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
maxresobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
-
localizedobject2 fields
-
titlestring -
descriptionstring
-
-
-
statusobject1 field
-
privacyStatusstring
-
-
contentDetailsobject1 field
-
itemCountinteger
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist/{playlistId} Delete a channel playlist
misc.youtube.deleteChannelPlaylist · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
playlistId required | path | string | |
teamId required | query | string |
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/youtube/playlist/PLAYLISTID?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
A boolean.
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist-items Add a video to a playlist
misc.youtube.addVideoToPlaylist · requires x-api-key
Request body application/json
-
teamIdstring required -
playlistIdstring required -
postIdstring required -
positioninteger ≥ 0
Example
curl -X POST "https://api.siaran.my/api/v1/misc/youtube/playlist-items" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"playlistId": "PLAYLIST_ID",
"postId": "POST_ID"
}' Response 200
5 top-level fields
-
kindstring -
etagstring -
idstring -
snippetobject9 fields
-
publishedAtstring -
channelIdstring -
titlestring -
descriptionstring -
channelTitlestring -
thumbnailsobject5 fields
-
defaultobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
mediumobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
highobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
standardobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
maxresobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
-
playlistIdstring -
positioninteger -
resourceIdobject4 fields
-
kindstring -
videoIdstring -
playlistIdstring -
channelIdstring
-
-
-
contentDetailsobject2 fields
-
videoIdstring -
videoPublishedAtstring
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist-items Get videos from a playlist
misc.youtube.getVideosFromPlaylist · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
playlistId required | query | string | |
maxResults | query | integer | default 10 |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/youtube/playlist-items?teamId=TEAM_ID&playlistId=PLAYLIST_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
6 top-level fields
-
kindstring -
etagstring -
nextPageTokenstring -
prevPageTokenstring -
pageInfoobject2 fields
-
totalResultsinteger -
resultsPerPageinteger
-
-
itemsobject[] default []5 fields
-
kindstring -
etagstring -
idstring -
snippetobject9 fields
-
publishedAtstring -
channelIdstring -
titlestring -
descriptionstring -
channelTitlestring -
thumbnailsobject5 fields
-
defaultobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
mediumobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
highobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
standardobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
maxresobject3 fields
-
urlstring uri -
widthinteger -
heightinteger
-
-
-
playlistIdstring -
positioninteger -
resourceIdobject4 fields
-
kindstring -
videoIdstring -
playlistIdstring -
channelIdstring
-
-
-
contentDetailsobject2 fields
-
videoIdstring -
videoPublishedAtstring
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/playlist-items/{playlistItemId} Remove a video from a playlist
misc.youtube.deleteVideoFromPlaylist · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
playlistItemId required | path | string | |
teamId required | query | string |
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/youtube/playlist-items/PLAYLISTITEMID?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
A boolean.
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/video Edit YouTube video metadata
misc.youtube.editVideo · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
titlestring -
descriptionstring -
tagsstring[] -
categoryIdstring -
privacyStatusstringOne of:publicunlistedprivate -
defaultLanguagestring max length 35 -
defaultAudioLanguagestring max length 35
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/youtube/video" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/video Delete a YouTube video
misc.youtube.deleteVideo · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/youtube/video" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/comment Edit YouTube comment
misc.youtube.editComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required -
textstring required min length 1
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/youtube/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID",
"text": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring nullable
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/comment Delete a YouTube comment
misc.youtube.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/youtube/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/video-categories Get YouTube video categories
misc.youtube.getVideoCategories · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
regionCode | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/youtube/video-categories?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
3 top-level fields
-
kindstring -
etagstring -
itemsobject[] default []4 fields
-
kindstring -
etagstring -
idstring -
snippetobject3 fields
-
channelIdstring -
titlestring -
assignableboolean
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/youtube/regions Get YouTube regions
misc.youtube.getRegions · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/youtube/regions?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
3 top-level fields
-
kindstring -
etagstring -
itemsobject[] default []4 fields
-
kindstring -
etagstring -
idstring -
snippetobject2 fields
-
glstring -
namestring
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/linkedin/mentions/tags Get Linkedin mentionable tags (people & organizations)
misc.linkedin.getTags · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
q | query | string | |
url | query | string | |
displayName | query | string | |
scope | query | string | One of people, organizations, all · default "all" |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/linkedin/mentions/tags?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
peopleobject[] default []6 fields
-
kindstring requiredOne of:person -
urnstring required -
displaystring required -
headlinestring -
photoUrlstring uri -
needsDisplayNameboolean
-
-
organizationsobject[] default []5 fields
-
kindstring requiredOne of:organization -
urnstring required -
displaystring required -
vanityNamestring -
logoUrlstring uri
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/linkedin/mentions/builder Build Linkedin text, insert mentions at tag placeholders.
misc.linkedin.buildCommentary · requires x-api-key
Request body application/json
-
textstring default "" -
tagsobject[] default []2 fields
-
displaystring required -
urnstring required
-
Example
curl -X POST "https://api.siaran.my/api/v1/misc/linkedin/mentions/builder" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"text": "",
"tags": []
}' Response 200
1 top-level fields
-
commentarystring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/linkedin/post Edit an existing LinkedIn post
misc.linkedin.editPost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
descriptionstring required
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/linkedin/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID",
"description": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/linkedin/post Delete a LinkedIn post
misc.linkedin.deletePost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/linkedin/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/linkedin/comment Edit an existing LinkedIn comment
misc.linkedin.editComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required -
textstring required min length 1max length 1,250
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/linkedin/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID",
"text": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring nullable
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/linkedin/comment Delete a LinkedIn comment
misc.linkedin.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/linkedin/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/media Add a media item (photo/video) using uploadId and category
misc.google_business.addMedia · requires x-api-key
Request body application/json
-
teamIdstring required -
uploadIdstring required -
categorystring default "ADDITIONAL"One of:CATEGORY_UNSPECIFIEDCOVERPROFILELOGOEXTERIORINTERIORPRODUCTAT_WORKFOOD_AND_DRINKMENUCOMMON_AREAROOMSTEAMSADDITIONAL -
descriptionstring max length 2,000
Example
curl -X POST "https://api.siaran.my/api/v1/misc/google-business/media" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"uploadId": "UPLOAD_ID"
}' Response 200
7 top-level fields
-
namestring -
googleUrlstring uri -
mediaFormatstringOne of:PHOTOVIDEO -
sourceUrlstring uri -
thumbnailUrlstring uri -
locationAssociationobject2 fields
-
categorystringOne of:CATEGORY_UNSPECIFIEDCOVERPROFILELOGOEXTERIORINTERIORPRODUCTAT_WORKFOOD_AND_DRINKMENUCOMMON_AREAROOMSTEAMSADDITIONAL -
priceListItemIdstring
-
-
descriptionstring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/media List Google Business media items
misc.google_business.listMedia · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
pageSize | query | integer | |
pageToken | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/media?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
3 top-level fields
-
mediaItemsobject[] default []7 fields
-
namestring -
googleUrlstring uri -
mediaFormatstringOne of:PHOTOVIDEO -
sourceUrlstring uri -
thumbnailUrlstring uri -
locationAssociationobject2 fields
-
categorystringOne of:CATEGORY_UNSPECIFIEDCOVERPROFILELOGOEXTERIORINTERIORPRODUCTAT_WORKFOOD_AND_DRINKMENUCOMMON_AREAROOMSTEAMSADDITIONAL -
priceListItemIdstring
-
-
descriptionstring
-
-
nextPageTokenstring -
totalMediaItemCountnumber
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/media Delete Google Business media item
misc.google_business.deleteMedia · requires x-api-key
Request body application/json
-
teamIdstring required -
mediaNamestring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/google-business/media" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"mediaName": "Example"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/post Delete a Google Business post
misc.google_business.deletePost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/google-business/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location Get Google Business location profile
misc.google_business.getLocation · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
fields | query | string[] | nullable |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
namestring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location Update Google Business location profile fields
misc.google_business.updateLocation · requires x-api-key
Request body application/json
-
teamIdstring required -
validateOnlyboolean -
titlestring nullable max length 255 -
profileobject nullable1 field
-
descriptionstring max length 1,500
-
-
websiteUristring nullable uri -
phoneNumbersobject nullable2 fields
-
primaryPhonestring -
additionalPhonesstring[]
-
-
categoriesobject nullable2 fields
-
primaryCategoryobject1 field
-
namestring
-
-
additionalCategoriesobject[]1 field
-
namestring
-
-
-
storefrontAddressobject nullable6 fields
-
regionCodestring -
languageCodestring -
postalCodestring -
administrativeAreastring -
localitystring -
addressLinesstring[]
-
-
regularHoursobject nullable1 field
-
periodsobject[]4 fields
-
openDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
openTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closeDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
closeTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
-
-
specialHoursobject nullable1 field
-
specialHourPeriodsobject[]5 fields
-
startDateobject3 fields
-
yearinteger -
monthinteger ≥ 1≤ 12 -
dayinteger ≥ 1≤ 31
-
-
endDateobject3 fields
-
yearinteger -
monthinteger ≥ 1≤ 12 -
dayinteger ≥ 1≤ 31
-
-
openTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closeTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closedboolean
-
-
-
moreHoursobject[] nullable2 fields
-
hoursTypeIdstring -
periodsobject[]4 fields
-
openDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
openTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closeDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
closeTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
-
-
openInfoobject nullable -
serviceAreaobject nullable -
latlngobject nullable2 fields
-
latitudenumber -
longitudenumber
-
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/google-business/location" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID"
}' Response 200
1 top-level fields
-
namestring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/hours Update Google Business regular/special/more hours
misc.google_business.updateHours · requires x-api-key
Request body application/json
-
teamIdstring required -
validateOnlyboolean -
fieldsstring[] required min 1 itemsmax 3 itemsOne of:regularHoursspecialHoursmoreHours -
regularHoursobject nullable1 field
-
periodsobject[]4 fields
-
openDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
openTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closeDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
closeTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
-
-
specialHoursobject nullable1 field
-
specialHourPeriodsobject[]5 fields
-
startDateobject3 fields
-
yearinteger -
monthinteger ≥ 1≤ 12 -
dayinteger ≥ 1≤ 31
-
-
endDateobject3 fields
-
yearinteger -
monthinteger ≥ 1≤ 12 -
dayinteger ≥ 1≤ 31
-
-
openTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closeTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closedboolean
-
-
-
moreHoursobject[] nullable2 fields
-
hoursTypeIdstring -
periodsobject[]4 fields
-
openDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
openTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
closeDaystringOne of:MONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY -
closeTimeobject | stringOne of 2 shapes
Variant 1
-
hoursinteger ≥ 0≤ 23 -
minutesinteger ≥ 0≤ 59 -
secondsinteger ≥ 0≤ 59 -
nanosinteger ≥ 0≤ 999999999
string
-
-
-
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/google-business/location/hours" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"fields": [
"regularHours"
]
}' Response 200
1 top-level fields
-
namestring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/attributes Get Google Business location attributes
misc.google_business.getAttributes · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/attributes?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
namestring -
attributesobject[] default []4 fields
-
namestring required -
valuesany[] nullable -
repeatedEnumValueobject1 field
-
setValuesstring[]
-
-
uriValuesobject[]1 field
-
uristring required
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/attributes Update Google Business location attributes
misc.google_business.updateAttributes · requires x-api-key
Request body application/json
-
teamIdstring required -
attributeMaskstring -
attributesobject[] nullable4 fields
-
namestring required -
valuesany[] nullable -
repeatedEnumValueobject1 field
-
setValuesstring[]
-
-
uriValuesobject[]1 field
-
uristring required min length 1
-
-
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/google-business/location/attributes" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID"
}' Response 200
2 top-level fields
-
namestring -
attributesobject[] default []4 fields
-
namestring required -
valuesany[] nullable -
repeatedEnumValueobject1 field
-
setValuesstring[]
-
-
uriValuesobject[]1 field
-
uristring required
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/attributes/available List available Google Business attributes
misc.google_business.listAvailableAttributes · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
languageCode | query | string | |
regionCode | query | string | |
pageSize | query | integer | |
pageToken | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/attributes/available?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
3 top-level fields
-
attributesobject[] default [] -
nextPageTokenstring -
lookupobject4 fields
-
bystring requiredOne of:categorylocation -
categoryNamestring -
regionCodestring -
languageCodestring
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/search-keywords List the search terms customers used to find the location
misc.google_business.listSearchKeywords · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
startMonth required | query | string | |
endMonth required | query | string | |
pageSize | query | integer | |
pageToken | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/search-keywords?teamId=TEAM_ID&startMonth=string&endMonth=string" \
-H "x-api-key: $SIAR_API_KEY" Response 200
4 top-level fields
-
locationstring required -
rangeobject required2 fields
-
startMonthstring required pattern ^\d{4}-(0[1-9]|1[0-2])$ -
endMonthstring required pattern ^\d{4}-(0[1-9]|1[0-2])$
-
-
searchKeywordsobject[] default []3 fields
-
searchKeywordstring required -
valuenumber nullable -
thresholdnumber nullable
-
-
nextPageTokenstring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/categories/available List available Google Business categories
misc.google_business.listCategories · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
regionCode required | query | string | |
languageCode required | query | string | |
names | query | string[] | |
filter | query | string | |
pageSize | query | integer | default 50 |
pageToken | query | string | |
view | query | string | One of CATEGORY_VIEW_UNSPECIFIED, BASIC, FULL · default "BASIC" |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/categories/available?teamId=TEAM_ID®ionCode=string&languageCode=string" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
categoriesobject[] default [] -
nextPageTokenstring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/service-list Get Google Business service list
misc.google_business.getServiceList · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/service-list?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
namestring -
serviceItemsobject[]
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/service-list Update Google Business service list
misc.google_business.updateServiceList · requires x-api-key
Request body application/json
-
teamIdstring required -
fieldsstring[] required min 1 itemsmax 1 itemsOne of:serviceItems -
serviceItemsobject[] nullable
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/google-business/location/service-list" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"fields": [
"serviceItems"
]
}' Response 200
2 top-level fields
-
namestring -
serviceItemsobject[]
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/food-menus Get Google Business food menus
misc.google_business.getFoodMenus · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
fields | query | string[] | nullable |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/food-menus?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
namestring -
menusobject[]
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/food-menus Update Google Business food menus
misc.google_business.updateFoodMenus · requires x-api-key
Request body application/json
-
teamIdstring required -
fieldsstring[] required min 1 itemsmax 1 itemsOne of:menus -
menusobject[] nullable
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/google-business/location/food-menus" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"fields": [
"menus"
]
}' Response 200
2 top-level fields
-
namestring -
menusobject[]
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/place-action-links List Google Business place action links
misc.google_business.listPlaceActionLinks · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
pageSize | query | integer | |
pageToken | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/location/place-action-links?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
placeActionLinksobject[] default []4 fields
-
namestring -
uristring uri -
placeActionTypestringOne of:APPOINTMENTONLINE_APPOINTMENTDINING_RESERVATIONFOOD_ORDERINGFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE -
isPreferredboolean
-
-
nextPageTokenstring
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/place-action-links Create Google Business place action link
misc.google_business.createPlaceActionLink · requires x-api-key
Request body application/json
-
teamIdstring required -
placeActionLinkobject required4 fields
-
namestring -
uristring uri -
placeActionTypestringOne of:APPOINTMENTONLINE_APPOINTMENTDINING_RESERVATIONFOOD_ORDERINGFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE -
isPreferredboolean
-
Example
curl -X POST "https://api.siaran.my/api/v1/misc/google-business/location/place-action-links" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"placeActionLink": {}
}' Response 200
4 top-level fields
-
namestring -
uristring uri -
placeActionTypestringOne of:APPOINTMENTONLINE_APPOINTMENTDINING_RESERVATIONFOOD_ORDERINGFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE -
isPreferredboolean
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/place-action-links Update Google Business place action link
misc.google_business.updatePlaceActionLink · requires x-api-key
Request body application/json
-
teamIdstring required -
placeActionLinkobject required4 fields
-
namestring -
uristring uri -
placeActionTypestringOne of:APPOINTMENTONLINE_APPOINTMENTDINING_RESERVATIONFOOD_ORDERINGFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE -
isPreferredboolean
-
-
namestring required -
fieldsstring[] required min 1 itemsmax 3 itemsOne of:uriplaceActionTypeisPreferred
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/google-business/location/place-action-links" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"placeActionLink": {},
"name": "Example",
"fields": [
"uri"
]
}' Response 200
4 top-level fields
-
namestring -
uristring uri -
placeActionTypestringOne of:APPOINTMENTONLINE_APPOINTMENTDINING_RESERVATIONFOOD_ORDERINGFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE -
isPreferredboolean
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/location/place-action-links Delete Google Business place action link
misc.google_business.deletePlaceActionLink · requires x-api-key
Request body application/json
-
teamIdstring required -
namestring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/google-business/location/place-action-links" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"name": "Example"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews/import Start a new Google Reviews import
misc.google_business.importReviews · requires x-api-key
Request body application/json
-
teamIdstring required -
countinteger required ≥ 1
Example
curl -X POST "https://api.siaran.my/api/v1/misc/google-business/reviews/import" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"count": 1
}' Response 201
13 top-level fields
-
idstring required -
teamIdstring required -
socialAccountIdstring required -
requestedCountnumber required -
statusstring requiredOne of:PENDINGFETCHING_REVIEWSCOMPLETEDFAILEDRATE_LIMITED -
reviewsImportednumber required -
errorstring nullable -
rateLimitResetAtstring nullable date-time -
startedAtstring nullable date-time -
completedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 409 Conflict · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews/import Get review import status list
misc.google_business.getReviewImportStatus · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/reviews/import?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
importsobject[] required13 fields
-
idstring required -
teamIdstring required -
socialAccountIdstring required -
requestedCountnumber required -
statusstring requiredOne of:PENDINGFETCHING_REVIEWSCOMPLETEDFAILEDRATE_LIMITED -
reviewsImportednumber required -
errorstring nullable -
rateLimitResetAtstring nullable date-time -
startedAtstring nullable date-time -
completedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews/import/{importId} Get review import by ID
misc.google_business.getReviewImportById · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
importId required | path | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/reviews/import/IMPORTID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
13 top-level fields
-
idstring required -
teamIdstring required -
socialAccountIdstring required -
requestedCountnumber required -
statusstring requiredOne of:PENDINGFETCHING_REVIEWSCOMPLETEDFAILEDRATE_LIMITED -
reviewsImportednumber required -
errorstring nullable -
rateLimitResetAtstring nullable date-time -
startedAtstring nullable date-time -
completedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews List imported Google Reviews
misc.google_business.getReviews · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
limit | query | number | default 50 |
offset | query | number | default 0 · nullable |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/reviews?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
4 top-level fields
-
reviewsobject[] required19 fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalReviewIdstring required -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
starRatingstring nullableOne of:ONETWOTHREEFOURFIVE -
commentstring nullable -
reviewReplyCommentstring nullable -
reviewReplyUpdatedAtstring nullable date-time -
reviewReplyStatestring nullableOne of:REVIEW_REPLY_STATE_UNSPECIFIEDPENDINGREJECTEDAPPROVED -
reviewReplyPolicyViolationstring nullable -
reviewReplyUrlstring nullable -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
-
-
totalnumber required -
limitnumber required -
remainingCapacitynumber required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews/{reviewId} Get a single imported Google Review
misc.google_business.getReviewById · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
reviewId required | path | string | |
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/google-business/reviews/REVIEWID?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
19 top-level fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalReviewIdstring required -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
starRatingstring nullableOne of:ONETWOTHREEFOURFIVE -
commentstring nullable -
reviewReplyCommentstring nullable -
reviewReplyUpdatedAtstring nullable date-time -
reviewReplyStatestring nullableOne of:REVIEW_REPLY_STATE_UNSPECIFIEDPENDINGREJECTEDAPPROVED -
reviewReplyPolicyViolationstring nullable -
reviewReplyUrlstring nullable -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews/{reviewId}/reply Reply to a Google Review (creates or updates the owner reply)
misc.google_business.replyToReview · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
reviewId required | path | string |
Request body application/json
-
teamIdstring required -
commentstring required min length 1max length 4,096
Example
curl -X PUT "https://api.siaran.my/api/v1/misc/google-business/reviews/REVIEWID/reply" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"comment": "string"
}' Response 200
19 top-level fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalReviewIdstring required -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
starRatingstring nullableOne of:ONETWOTHREEFOURFIVE -
commentstring nullable -
reviewReplyCommentstring nullable -
reviewReplyUpdatedAtstring nullable date-time -
reviewReplyStatestring nullableOne of:REVIEW_REPLY_STATE_UNSPECIFIEDPENDINGREJECTEDAPPROVED -
reviewReplyPolicyViolationstring nullable -
reviewReplyUrlstring nullable -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/google-business/reviews/{reviewId}/reply Delete the owner reply from a Google Review
misc.google_business.deleteReviewReply · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
reviewId required | path | string |
Request body application/json
-
teamIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/google-business/reviews/REVIEWID/reply" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID"
}' Response 200
19 top-level fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalReviewIdstring required -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
starRatingstring nullableOne of:ONETWOTHREEFOURFIVE -
commentstring nullable -
reviewReplyCommentstring nullable -
reviewReplyUpdatedAtstring nullable date-time -
reviewReplyStatestring nullableOne of:REVIEW_REPLY_STATE_UNSPECIFIEDPENDINGREJECTEDAPPROVED -
reviewReplyPolicyViolationstring nullable -
reviewReplyUrlstring nullable -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/reddit/post-requirements Get subreddit post requirements (flair required/enabled)
misc.reddit.getPostRequirements · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
subreddit required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/reddit/post-requirements?teamId=TEAM_ID&subreddit=string" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
isFlairRequiredboolean required -
isFlairEnabledboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/reddit/subreddit-flairs Get subreddit flairs list
misc.reddit.getSubredditFlairs · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
subreddit required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/reddit/subreddit-flairs?teamId=TEAM_ID&subreddit=string" \
-H "x-api-key: $SIAR_API_KEY" Response 200
8 top-level fields
-
idstring -
textstring -
cssClassstring -
textColorstring -
backgroundColorstring -
modOnlyboolean -
allowableContentstring -
maxEmojisnumber
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/reddit/post Edit an existing Reddit post
misc.reddit.editPost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
descriptionstring required
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/reddit/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID",
"description": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/reddit/post Delete a Reddit post
misc.reddit.deletePost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/reddit/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/reddit/comment Edit an existing Reddit comment
misc.reddit.editComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required -
textstring required min length 1max length 10,000
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/reddit/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID",
"text": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring nullable
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/reddit/comment Delete a Reddit comment
misc.reddit.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/reddit/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/instagram/tags Search for Instagram Business/Creator user by username
misc.instagram.businessDiscovery · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
username required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/instagram/tags?teamId=TEAM_ID&username=Example" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
existsboolean required -
dataobject required nullable8 fields
-
idstring required -
usernamestring required -
followers_countnumber required -
media_countnumber required -
profile_picture_urlstring uri -
biographystring -
namestring -
mediaobject1 field
-
dataobject[] required6 fields
-
idstring required -
media_typestring required -
like_countnumber -
comments_countnumber -
timestampstring -
captionstring
-
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/instagram/locations Search Instagram location IDs
misc.instagram.searchLocations · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
q required | query | string | |
limit | query | integer | default 10 |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/instagram/locations?teamId=TEAM_ID&q=string" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
itemsobject[] required4 fields
-
locationIdstring required -
namestring required -
linkstring nullable -
locationobject nullable7 fields
-
citystring nullable -
countrystring nullable -
latitudenumber nullable -
longitudenumber nullable -
statestring nullable -
streetstring nullable -
zipstring nullable
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/instagram/audio Search Instagram audio assets
misc.instagram.searchAudio · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
audioType required | query | string | One of original_sound, music |
searchQuery | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/instagram/audio?teamId=TEAM_ID&audioType=original_sound" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
audioobject[] default []10 fields
-
audio_idstring required -
cover_artwork_thumbnail_uristring nullable -
cover_artwork_thumbnail_urlstring nullable -
display_artiststring nullable -
duration_in_msinteger nullable -
audio_typestring requiredOne of:original_soundmusic -
titlestring nullable -
download_urlstring nullable -
ig_usernamestring nullable -
profile_picture_urlstring nullable
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/instagram/comment Delete an Instagram comment
misc.instagram.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/instagram/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/pages Search Facebook Pages
misc.facebook.searchPages · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
q required | query | string | |
limit | query | integer | default 10 |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/pages?teamId=TEAM_ID&q=string" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
itemsobject[] required4 fields
-
pageIdstring required -
namestring required -
linkstring nullable -
locationobject nullable7 fields
-
citystring nullable -
countrystring nullable -
latitudenumber nullable -
longitudenumber nullable -
statestring nullable -
streetstring nullable -
zipstring nullable
-
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/text-format-presets List Facebook text background presets
misc.facebook.getTextFormatPresets · requires x-api-key
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/text-format-presets" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
presetsobject[] required4 fields
-
idstring required -
labelstring required -
kindstring requiredOne of:colorgradientillustration -
colorstring nullable
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/token-debug Get Facebook token debug details
misc.facebook.getTokenDebug · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/token-debug?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
8 top-level fields
-
typestringOne of:USERPAGE -
applicationstring -
data_access_expires_atnumber -
is_validboolean required -
issued_atnumber -
scopesstring[] required -
granular_scopesobject[] required2 fields
-
scopestring required -
target_idsstring[]
-
-
errorobject3 fields
-
codenumber required -
messagestring required -
subcodenumber
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/import Start a new Facebook recommendations import
misc.facebook.importRecommendations · requires x-api-key
Request body application/json
-
teamIdstring required -
countinteger required ≥ 1≤ 250
Example
curl -X POST "https://api.siaran.my/api/v1/misc/facebook/recommendations/import" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"count": 1
}' Response 201
13 top-level fields
-
idstring required -
teamIdstring required -
socialAccountIdstring required -
requestedCountnumber required -
statusstring requiredOne of:PENDINGFETCHING_RECOMMENDATIONSCOMPLETEDFAILEDRATE_LIMITED -
itemsImportednumber required -
errorstring nullable -
rateLimitResetAtstring nullable date-time -
startedAtstring nullable date-time -
completedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 409 Conflict · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/import Get Facebook recommendations import status list
misc.facebook.getRecommendationImportStatus · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/recommendations/import?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
importsobject[] required13 fields
-
idstring required -
teamIdstring required -
socialAccountIdstring required -
requestedCountnumber required -
statusstring requiredOne of:PENDINGFETCHING_RECOMMENDATIONSCOMPLETEDFAILEDRATE_LIMITED -
itemsImportednumber required -
errorstring nullable -
rateLimitResetAtstring nullable date-time -
startedAtstring nullable date-time -
completedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/import/{importId} Get Facebook recommendations import by ID
misc.facebook.getRecommendationImportById · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
importId required | path | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/recommendations/import/IMPORTID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
13 top-level fields
-
idstring required -
teamIdstring required -
socialAccountIdstring required -
requestedCountnumber required -
statusstring requiredOne of:PENDINGFETCHING_RECOMMENDATIONSCOMPLETEDFAILEDRATE_LIMITED -
itemsImportednumber required -
errorstring nullable -
rateLimitResetAtstring nullable date-time -
startedAtstring nullable date-time -
completedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations List imported Facebook recommendations
misc.facebook.getRecommendations · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
limit | query | number | default 50 |
offset | query | number | default 0 · nullable |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/recommendations?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
4 top-level fields
-
recommendationsobject[] required21 fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalRecommendationIdstring required -
openGraphStoryIdstring nullable -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
recommendationValuestring nullableOne of:RECOMMENDNOT_RECOMMENDUNKNOWN -
ratingnumber nullable -
commentstring nullable -
hasMediaboolean required -
mediaSummarystring[] nullable -
ownerReplyCommentstring nullable -
ownerReplyCommentIdstring nullable -
ownerReplyUpdatedAtstring nullable date-time -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
-
-
totalnumber required -
limitnumber required -
remainingCapacitynumber required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/{recommendationId} Get a single imported Facebook recommendation
misc.facebook.getRecommendationById · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
recommendationId required | path | string | |
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/recommendations/RECOMMENDATIONID?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
21 top-level fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalRecommendationIdstring required -
openGraphStoryIdstring nullable -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
recommendationValuestring nullableOne of:RECOMMENDNOT_RECOMMENDUNKNOWN -
ratingnumber nullable -
commentstring nullable -
hasMediaboolean required -
mediaSummarystring[] nullable -
ownerReplyCommentstring nullable -
ownerReplyCommentIdstring nullable -
ownerReplyUpdatedAtstring nullable date-time -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/{recommendationId}/comments Get recommendation thread comments
misc.facebook.getRecommendationComments · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
recommendationId required | path | string | |
teamId required | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/facebook/recommendations/RECOMMENDATIONID/comments?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
commentsobject[] required12 fields
-
idstring required -
recommendationIdstring required -
rootObjectIdstring required -
parentCommentIdstring nullable -
authorNamestring nullable -
authorExternalIdstring nullable -
authorAvatarUrlstring nullable -
textstring nullable -
likesCountnumber required -
repliesCountnumber required -
canReplyboolean nullable -
createdTimestring nullable date-time
-
-
totalnumber required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/{recommendationId}/reply Reply to a Facebook recommendation
misc.facebook.replyToRecommendation · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
recommendationId required | path | string |
Request body application/json
-
teamIdstring required -
commentstring required min length 1max length 4,096
Example
curl -X PUT "https://api.siaran.my/api/v1/misc/facebook/recommendations/RECOMMENDATIONID/reply" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"comment": "string"
}' Response 200
21 top-level fields
-
idstring required -
socialAccountIdstring required -
teamIdstring required -
externalRecommendationIdstring required -
openGraphStoryIdstring nullable -
reviewerDisplayNamestring nullable -
reviewerProfilePhotoUrlstring nullable -
recommendationValuestring nullableOne of:RECOMMENDNOT_RECOMMENDUNKNOWN -
ratingnumber nullable -
commentstring nullable -
hasMediaboolean required -
mediaSummarystring[] nullable -
ownerReplyCommentstring nullable -
ownerReplyCommentIdstring nullable -
ownerReplyUpdatedAtstring nullable date-time -
createTimestring nullable date-time -
updateTimestring nullable date-time -
importedAtstring nullable date-time -
createdAtstring required nullable date-time -
updatedAtstring required nullable date-time -
deletedAtstring nullable date-time
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/recommendations/{recommendationId}/comments/{commentId}/reply Reply to a Facebook recommendation thread comment
misc.facebook.replyToRecommendationComment · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
recommendationId required | path | string | |
commentId required | path | string |
Request body application/json
-
teamIdstring required -
commentstring required min length 1max length 4,096
Example
curl -X PUT "https://api.siaran.my/api/v1/misc/facebook/recommendations/RECOMMENDATIONID/comments/COMMENTID/reply" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"comment": "string"
}' Response 200
1 top-level fields
-
idstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/post Edit an existing Facebook post
misc.facebook.editPost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
descriptionstring
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/facebook/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/post Delete a Facebook post
misc.facebook.deletePost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/facebook/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/comment Edit a Facebook comment
misc.facebook.editComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required -
textstring required min length 1max length 8,000
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/facebook/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID",
"text": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring nullable
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/facebook/comment Delete a Facebook comment
misc.facebook.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/facebook/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/pinterest/pin [DISABLED] Edit an existing Pinterest pin
misc.pinterest.editPin · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
titlestring -
descriptionstring -
linkstring uri -
altTextstring -
notestring
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/pinterest/pin" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/pinterest/pin Delete a Pinterest pin
misc.pinterest.deletePin · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/pinterest/pin" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/mastodon/status Edit an existing Mastodon status
misc.mastodon.editStatus · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
descriptionstring required -
spoilerTextstring
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/mastodon/status" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID",
"description": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/mastodon/status Delete a Mastodon status
misc.mastodon.deleteStatus · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/mastodon/status" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/mastodon/comment Edit a Mastodon comment
misc.mastodon.editComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required -
textstring required min length 1max length 500 -
spoilerTextstring max length 500
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/mastodon/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID",
"text": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring nullable
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/mastodon/comment Delete a Mastodon comment
misc.mastodon.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/mastodon/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/slack/message Edit an existing Slack message
misc.slack.editMessage · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required -
descriptionstring required
Example
curl -X PATCH "https://api.siaran.my/api/v1/misc/slack/message" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID",
"description": "Hello from Siar"
}' Response 200
2 top-level fields
-
successboolean required -
permalinkstring required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/slack/message Delete a Slack message
misc.slack.deleteMessage · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/slack/message" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/bluesky/post Delete a Bluesky post
misc.bluesky.deletePost · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/bluesky/post" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/bluesky/comment Delete a Bluesky comment
misc.bluesky.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/bluesky/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/twitter/tweet Delete a Twitter/X tweet
misc.twitter.deleteTweet · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/twitter/tweet" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/twitter/comment Delete a Twitter/X comment
misc.twitter.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/twitter/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/twitter/retweet Repost a Twitter/X post
misc.twitter.retweet · requires x-api-key
Request body application/json
-
teamIdstring required -
tweetIdstring required pattern ^\d+$
Example
curl -X POST "https://api.siaran.my/api/v1/misc/twitter/retweet" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"tweetId": "TWEET_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/twitter/retweet Undo a Twitter/X repost
misc.twitter.unretweet · requires x-api-key
Request body application/json
-
teamIdstring required -
tweetIdstring required pattern ^\d+$
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/twitter/retweet" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"tweetId": "TWEET_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/discord/message Delete a Discord message
misc.discord.deleteMessage · requires x-api-key
Request body application/json
-
teamIdstring required -
postIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/discord/message" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"postId": "POST_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/tiktok/cml/trending-list Get popular tracks from TikTok Commercial Music Library
misc.tiktok.getCommercialMusicTrendingList · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId required | query | string | |
genre | query | string | One of ROCK, POP, LATIN, METAL, ELECTRONIC, HIP_HOP/RAP, ALTERNATIVE/INDIE, R&B/SOUL, COUNTRY, CLASSICAL, JAZZ, CHILDHOOD, ALTERNATIVE_HIP_HOP, AMBIENT, BOSSA_NOVA, BRAZILIAN_FUNK_STYLE, CHILL_BEATS, CHILLOUT, CHINESE_POP, CHRISTIAN_MUSIC, COUNTRY_POP, DANCE_POP, DISCO, DJ, DRUM&BASS, DUBSTEP, EDM, FUNK, HOUSE, INDIE_POP, J-POP, K-POP, LATIN_POP, LO-FI, OLD_SCHOOL, PUNK, RUSSIAN_POP, SOUL, SOUNDTRACK, SYNTH_POP, TECHNO, TEEN_POP · default "POP" |
dateRange | query | string | One of 1DAY, 7DAY, 30DAY · default "7DAY" |
Example
curl -X GET "https://api.siaran.my/api/v1/misc/tiktok/cml/trending-list?teamId=TEAM_ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
10 top-level fields
-
commercial_music_namestring nullable -
durationinteger nullable -
thumbnail_urlstring required uri -
artiststring required -
preview_urlstring nullable uri -
genresstring[] default [] -
rank_positionstring required -
trending_historyobject[] default []2 fields
-
datestring required -
rank_position_dailystring nullable
-
-
full_duration_song_clipobject nullable3 fields
-
preview_urlstring nullable uri -
durationinteger nullable -
song_clip_idstring required
-
-
trending_song_clipobject nullable3 fields
-
preview_urlstring nullable uri -
durationinteger nullable -
song_clip_idstring required
-
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error
/api/v1/misc/tiktok/comment Delete a TikTok comment
misc.tiktok.deleteComment · requires x-api-key
Request body application/json
-
teamIdstring required -
commentIdstring required
Example
curl -X DELETE "https://api.siaran.my/api/v1/misc/tiktok/comment" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"commentId": "COMMENT_ID"
}' Response 200
1 top-level fields
-
successboolean required
Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error